etckeeper (1.18.23-1) unstable; urgency=medium

  * new upstream release (Closes: #884824)

 -- Antoine Beaupré <anarcat@debian.org>  Mon, 18 Aug 2025 12:13:42 -0400

etckeeper (1.18.22-2) unstable; urgency=medium

  [ mitchdz ]
  * etckeeper.conf: add --quiet to BZR_COMMIT_OPTIONS (Closes: #1018874)

  [ Carles Pina i Estany ]
  * Added po-debconf Catalan translation (Closes: #1101647)

 -- Antoine Beaupré <anarcat@debian.org>  Sat, 29 Mar 2025 17:45:17 -0400

etckeeper (1.18.22-1) unstable; urgency=medium

  [ Antoine Beaupré ]
  * new upstream release

  [ Niels Thykier ] 
  * Mark `fakeroot` as a test-only build-dependency

 -- Antoine Beaupré <anarcat@debian.org>  Sun, 22 Dec 2024 14:35:27 -0500

etckeeper (1.18.21-1) unstable; urgency=medium

  * new upstream release

 -- Antoine Beaupré <anarcat@debian.org>  Wed, 10 Jan 2024 13:46:20 -0500

etckeeper (1.18.20-2) unstable; urgency=medium

  [ Sven Joachim ]
  * Build-depend on dh-sequence-movetousr (Closes: #1060392)

 -- Antoine Beaupré <anarcat@debian.org>  Wed, 10 Jan 2024 12:16:30 -0500

etckeeper (1.18.20-1.1) unstable; urgency=medium

  * Non-maintainer upload
  * Replace transitional Build-Depends: bzr with brz (Closes: #1058894)

 -- Bastian Germann <bage@debian.org>  Sun, 17 Dec 2023 22:15:13 +0100

etckeeper (1.18.20-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Remove 1 obsolete maintscript entry.
  * Bump debhelper from old 12 to 13.
  * Update standards version to 4.6.1, no changes needed.

  [ Antoine Beaupré ]
  * new upstream release

 -- Antoine Beaupré <anarcat@debian.org>  Thu, 26 Jan 2023 14:53:08 -0500

etckeeper (1.18.18-1) unstable; urgency=medium

  * new upstream release (Closes: #1019319)

 -- Antoine Beaupré <anarcat@debian.org>  Thu, 08 Sep 2022 13:13:59 -0400

etckeeper (1.18.17-1) unstable; urgency=medium

  * new upstream release
  * drop forced Python dependency (#984832)

 -- Antoine Beaupré <anarcat@debian.org>  Thu, 31 Mar 2022 11:48:25 -0400

etckeeper (1.18.16-1) unstable; urgency=medium

  * new upstream release
  * move Debian package hosting to salsa

 -- Antoine Beaupré <anarcat@debian.org>  Thu, 04 Feb 2021 16:52:14 -0500

etckeeper (1.18.14-1) unstable; urgency=medium

  [ Antoine Beaupré ]
  * New upstream release (Closes: #884987)
  * debian/patches/fix-sh-syntax.diff: drop, merged in 1.18.13
  * merge NMU 1.18.10-1.1 I forgot, below

  [ Mattia Rizzolo ]
  * Import patches from Ubuntu (Closes: #928177):
    + Use a UTF-8 encoding, to ensure stable sorting.
    + Add a Breezy plugin, using Python3.
  * Replace bzr dependencies with brz (bzr is now a transitional package).
  * d/control:
    + Bump Standards-Version to 4.4.1, no changes needed.
    + Set Rules-Requires-Root: no.
    + Drop Conflicts against a very old version of bzr.
    + Drop version requirements against very old versions, all satisfied
      in oldoldstable.
    + Bump debhelper compat level to 12.
  * Build using Python3 instead of Python2 (Closes: #811180, #921447)
    (This stops installing the bzr plugin, instead installing the brz one).

 -- Antoine Beaupré <anarcat@debian.org>  Mon, 04 May 2020 13:32:38 -0400

etckeeper (1.18.14) unstable; urgency=medium

  * pacman 5.2 deprecated File hooks, use Path.
    Thanks, Christian Hesse
  * Fix vcs subcommand setup for zsh completion.
    Thanks, James Rowe.

 -- Joey Hess <id@joeyh.name>  Wed, 22 Jan 2020 09:59:04 -0400

etckeeper (1.18.13) unstable; urgency=medium

  * Added zsh completion.
    Thanks, James Rowe
  * commit: Recent changes added code that does not work on all POSIX shells.
    Fixed by Thorsten Glaser.

 -- Joey Hess <id@joeyh.name>  Fri, 20 Dec 2019 16:19:09 -0400

etckeeper (1.18.12-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/patches/fix-sh-syntax.diff: new (Closes: #946055)
    - reimplements -mmessage from 1.18.11 in portable shell
    - fixes potential bugs with messages starting with hyphen-minus
      (in particular -n, -c) and containing backslashes

 -- Thorsten Glaser <tg@mirbsd.de>  Wed, 18 Dec 2019 20:11:25 +0100

etckeeper (1.18.12-1) unstable; urgency=medium

  [ Antoine Beaupré ]
  * New upstream release.
  * remove explicit Python dependency (Closes: #921447)

  [ Nicolas Braud-Santoni ]
  * debian/control: Point Vcs-Git to the correct branch (Closes: #942409)

 -- Antoine Beaupré <anarcat@debian.org>  Sun, 01 Dec 2019 15:08:30 -0500

etckeeper (1.18.12) unstable; urgency=medium

  * Fix bug in hostname determination in the previous release.
    Thanks, Christian Hesse

 -- Joey Hess <id@joeyh.name>  Fri, 29 Nov 2019 11:42:34 -0400

etckeeper (1.18.11) unstable; urgency=medium

  * Support platforms without a hostname command, fall back to
    reading /etc/hostname.
    Thanks, Chris Morgan
  * commit: Support -mmessage, without a space, since eg git commit
    can be used that way.
    Thanks, martin f. krafft
  * commit: When multiple parameters are given, use them all as the commit
    message, instead of the old behavior of only using the first parameter and
    throwing the rest away.
    Thanks, martin f. krafft

 -- Joey Hess <id@joeyh.name>  Thu, 28 Nov 2019 18:14:46 -0400

etckeeper (1.18.10-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Import patches from Ubuntu (Closes: #928177):
    + Use a UTF-8 encoding, to ensure stable sorting.
    + Add a Breezy plugin, using Python3.
  * Replace bzr dependencies with brz (bzr is now a transitional package).
  * d/control:
    + Bump Standards-Version to 4.4.1, no changes needed.
    + Set Rules-Requires-Root: no.
    + Drop Conflicts against a very old version of bzr.
    + Drop version requirements against very old versions, all satisfied
      in oldoldstable.
    + Bump debhelper compat level to 12.
  * Build using Python3 instead of Python2 (Closes: #811180, #921447)
    (This stops installing the bzr plugin, instead installing the brz one).

 -- Mattia Rizzolo <mattia@debian.org>  Mon, 28 Oct 2019 14:06:44 +0100

etckeeper (1.18.10-1) unstable; urgency=medium

  * New upstream release
  * update debhelper and standards version, no change

 -- Antoine Beaupré <anarcat@debian.org>  Wed, 16 Jan 2019 13:51:37 -0500

etckeeper (1.18.10) unstable; urgency=medium

  * Avoid post-install failing when ps is from busybox or another
    version not supporting procps-specific options.
  * Use ps --no-headers rather than problimatic -h option.

 -- Joey Hess <id@joeyh.name>  Sun, 23 Dec 2018 13:05:44 -0400

etckeeper (1.18.9) unstable; urgency=medium

  * When run during a package installation, include in the commit
    message the command line that caused etckeeper to run.
    Thanks, Laszlo Gombos

 -- Joey Hess <id@joeyh.name>  Wed, 12 Dec 2018 01:01:05 -0400

etckeeper (1.18.8-1) unstable; urgency=medium

  * New upstream release (Closes: #850679)
  * Revert port to py3, requires bzrlib to port first (Closes: #906000)
  * update standards version, no change

 -- Antoine Beaupré <anarcat@debian.org>  Tue, 21 Aug 2018 12:27:05 -0400

etckeeper (1.18.8) unstable; urgency=medium

  * Work around git commit's lack of robustness, by providing
    reasonable default values for GIT_COMMITTER_EMAIL etc.
    This was already done as part of the su/sudo handling,
    and is now always done.
  * Don't hardcode the master branch when pushing to PUSH_REMOTE.
    Instead, let git push whatever branches it is configured to
    push to that remote.

 -- Joey Hess <id@joeyh.name>  Tue, 05 Jun 2018 16:00:41 -0400

etckeeper (1.18.7-1) unstable; urgency=medium

  * New upstream release
  * port to Python3, no change (Closes: #883145)
  * tweak lintian override
  * bump to dh 10 compat
  * add debian watch file
  * add missing git dependency to fix test during build
  * add git buildpackage config
  * use https URLs everywhere in metadata
  * remove byte-compiled Python file as per policy
  * remove duplicate Section in debian/control

 -- Antoine Beaupré <anarcat@debian.org>  Thu, 30 Nov 2017 09:49:56 -0500

etckeeper (1.18.7) unstable; urgency=medium

  * Added some unit tests.
    Thanks, Henrik Riomar.
  * etckeeper will work on systems that do not have perl installed.
    (perl is still used when available as it's faster)
    Thanks, William Johansson and radhus.
  * Prevent LC_ALL overriding the LC_COLLATE used to sort metadata.

 -- Joey Hess <id@joeyh.name>  Thu, 08 Jun 2017 12:58:20 -0400

etckeeper (1.18.6) unstable; urgency=medium

  * Only show errors (no progress indicators) when pushing Git/Mercurial repos
    to avoid unncessary cron mails.
    Thanks, Nils Steinger.
  * Fix regex in 20-warn-problem-files.
  * Added support for apk (alpine linux)
    Thanks, Henrik Riomar.

 -- Joey Hess <id@joeyh.name>  Sun, 29 Jan 2017 14:37:24 -0400

etckeeper (1.18.5-1) unstable; urgency=medium

  [Joey Hess]
  * New upstream release:
    * merged Makefile patch
    * update standards version, no change
  * Remove pre-compiled .pyc for bzr plugin from Debian package,
    and add python:Depends to Depends so that dh_python2 will install
    maintainer script snippets. Unfortunately, this adds a completely
    unnecessary dependency on python, which etckeeper does not need in
    normal operation.

 -- Antoine Beaupré <anarcat@debian.org>  Mon, 01 Aug 2016 15:58:54 -0400

etckeeper (1.18.5) unstable; urgency=medium

  * Make etckeeper commit store metadata changes. The pre-commit
    hook has always (and continues) to do that, but pre-commit is only
    run when there are changes to tommit. This makes metadata-only
    changes get committed.
  * Move systemd files to /lib/systemd; /usr/lib/systemd is not used
    on Debian.

 -- Joey Hess <id@joeyh.name>  Sun, 17 Jul 2016 18:53:54 -0400

etckeeper (1.18.4) unstable; urgency=medium

  * Optimised find for special and hard linked files.
    Thanks, Rike-Benjamin Schuppner.
  * Adjust when Pacman 5 calls etckeeper hooks.
    Thanks, Tilman Blumenbach and Christian Hesse.
  * Only run Pacman hooks when files in /etc have changed.
    Thanks, Christian Hesse.
  * Added systemd timer that can run etckeeper 10 minutes after boot, and also
    daily. It's not enabled by default, partly because of overlap with the
    cron job.
    Thanks, Christian Hesse.

 -- Joey Hess <id@joeyh.name>  Mon, 20 Jun 2016 01:05:30 -0400

etckeeper (1.18.3) unstable; urgency=medium

  * Added support for pacmatic, contributed by nicolaichuk.
  * bzr: make sure EMAIL is defined
    Thanks, Serge E. Hallyn
  * Fix Makefile version patterns to ignore non-native version number
    (Antoine Beaupré)
  * Support ~/.config/git/config when determining the author name and email.
    Thanks, Richard Savio
  * Added support for Arch's pacman package manager version 5.
    Thanks, Tilman Blumenbach.
  * Set HOME if it's not set, as is the case when using ubuntu's
    update-manager.
  * Move bash completion out of etc and into usr.

 -- Joey Hess <id@joeyh.name>  Mon, 15 Feb 2016 13:11:20 -0400

etckeeper (1.18.2-1) unstable; urgency=medium

  * Prepare upload to Debian unstable
  * Fix Makefile version patterns to ignore non-native version number
  * Fix lintian warnings:
    * remove .pyc files on build
    * install bash completions in standard location
    * ignore missing debian/config file, we ask only on purge on purpose
    * ignore full path for /usr/bin/etckeeper, we use it to stash it for
      later
  * Update to standards 3.9.6, no change
  * Remove obsolete XS-Python-Version field
  * Run debconf-updatepo, outdating a bunch of translations

 -- Antoine Beaupré <anarcat@debian.org>  Thu, 14 Jan 2016 15:20:40 -0500

etckeeper (1.18.2) unstable; urgency=medium

  * Use getent utility instead of perl. (Elan Ruusamäe)
  * Initial FreeBSD support with pkgng plugin. (William Johansson)
  * Fix README.md symlink in package (Sebastian Schmidt, Antoine Beaupré,
    closes: #791566)
  * Fix typo of GIT_COMMITTER_EMAIL.

 -- Joey Hess <id@joeyh.name>  Tue, 04 Aug 2015 10:13:08 -0400

etckeeper (1.18.1) unstable; urgency=medium

  * Add myself as maintainer (Closes: #768516)
  * Keeping the package native as I do not intend to diverge from
    upstream.
  * Update git URL in control file.

 -- Antoine Beaupré <anarcat@debian.org>  Sat, 21 Mar 2015 18:30:07 -0400

etckeeper (1.18) unstable; urgency=medium

  * Send yum pre-commit output to /dev/null
    Thanks, Andrew Colin Kissa
  * Set LANG=C internally when doing some operations that have
    been reported to fail in other locales.

 -- Joey Hess <id@joeyh.name>  Sat, 14 Mar 2015 13:24:07 -0400

etckeeper (1.17) unstable; urgency=medium

  * Fix name of DNF plugin.
  * Add --version
    Thanks Andreas Wansner.
  * New website, http://etckeeper.branchable.com/
  * Add build-depends on dh-python.

 -- Joey Hess <id@joeyh.name>  Mon, 22 Dec 2014 16:42:26 -0400

etckeeper (1.16) unstable; urgency=medium

  * Added support for Fedora's DNF highlevel package manager.
    Thanks, Peter Listiak and Petr Spacek.
  * Add architecture info to dpkg list-installed. Closes: #768145
  * Orphaned the Debian package.

 -- Joey Hess <joeyh@debian.org>  Fri, 07 Nov 2014 21:30:50 -0400

etckeeper (1.15) unstable; urgency=medium

  * Recommend cron-daemon, rather than cron, as etckeeper only needs
    cron.daily functionality. Closes: #762721

 -- Joey Hess <joeyh@debian.org>  Thu, 16 Oct 2014 12:21:48 -0400

etckeeper (1.14) unstable; urgency=medium

  * Handle failure to commit in post-install, pre-install by showing a
    warning, rather than propigating the error to apt.
    This avoids breaking the apt run when eg, git is misconfigured and
    cannot commit.
    pre-install already did this when it was able to use debconf to display a
    message, but now debconf is not used, and it always behaves this way.
    Closes: #760011

 -- Joey Hess <joeyh@debian.org>  Thu, 04 Sep 2014 15:47:32 -0400

etckeeper (1.13) unstable; urgency=medium

  * Ignore check-mk-agent-logwatch's FHS violating
    /etc/check_mk/logwatch.state. Closes: #753903
  * Only allow [-a-z_] in etckeeper commands to avoid any possible directory
    traversal etc issues.
  * update-ignore, uninit: Fix parsing of ignore files containing '\'

 -- Joey Hess <joeyh@debian.org>  Sat, 09 Aug 2014 13:05:55 -0400

etckeeper (1.12) unstable; urgency=medium

  * Portability fixes. Thanks, Harald Dunkel.
  * Add support for pushing to multiple remote repositories.
    Thanks, Rouben.
  * Fix handling of git ignores like dir/*
    Thanks, Pim van den Berg

 -- Joey Hess <joeyh@debian.org>  Fri, 13 Jun 2014 12:03:06 -0400

etckeeper (1.11) unstable; urgency=low

  * Fix too broad matching of .gitignored files.
    Closes: #732339

 -- Joey Hess <joeyh@debian.org>  Tue, 17 Dec 2013 22:24:29 -0400

etckeeper (1.10) unstable; urgency=low

  * Remove lvm/backup from default ignores, because lvm
    documentation recommends backing that up, for use by
    vgcfgrestore.
  * Fix exporting of some git variables. Closes: #728583

 -- Joey Hess <joeyh@debian.org>  Sun, 03 Nov 2013 12:14:02 -0400

etckeeper (1.9) unstable; urgency=low

  * Fix git update-ignore syntax. Closes: #721873

 -- Joey Hess <joeyh@debian.org>  Wed, 04 Sep 2013 21:43:42 -0400

etckeeper (1.8) unstable; urgency=low

  * Avoid listing .gitignored files in .etckeeper file. Closes: #607665
    Thanks, Zdenek Crha

 -- Joey Hess <joeyh@debian.org>  Wed, 04 Sep 2013 09:31:37 -0400

etckeeper (1.7) unstable; urgency=low

  * Fix hilarious typo hardcoding my name. Closes: #718425

 -- Joey Hess <joeyh@debian.org>  Wed, 31 Jul 2013 11:33:45 -0400

etckeeper (1.6) unstable; urgency=low

  * Guard git config calls. Closes: #717957

 -- Joey Hess <joeyh@debian.org>  Sat, 27 Jul 2013 12:24:30 -0400

etckeeper (1.5) unstable; urgency=low

  * Quote user and group names, in case one contains a space.
  * Added support for the pacman package manager.
    (Thanks, Tiago Stürmer Daitx)
  * Use user.name and user.email from the .gitconfig file belonging to the
    user who sued or sudoed to root, in preference to making up values for
    that user.
  * cron.daily: Fix typo in stale lockfile handling code.
    Closes: #717908

 -- Joey Hess <joeyh@debian.org>  Fri, 26 Jul 2013 11:03:48 -0400

etckeeper (1.4) unstable; urgency=low

  * Deal with unix^wlinux portability nonsense.

 -- Joey Hess <joeyh@debian.org>  Mon, 17 Jun 2013 12:00:59 -0400

etckeeper (1.3) unstable; urgency=low

  * Fix type -p bashism that crept in via recent patches. Closes: #707319

 -- Joey Hess <joeyh@debian.org>  Wed, 08 May 2013 22:36:30 -0400

etckeeper (1.2) unstable; urgency=low

  * Call type -p in a more compatable way.
  * When a file is owned by a uid or a gid with no corresponding user or
    group, put a numeric chown into .etckeeper. Previously, a broken
    chown was outputted.

 -- Joey Hess <joeyh@debian.org>  Wed, 08 May 2013 11:51:51 -0400

etckeeper (1.1) unstable; urgency=low

  * Fix warning when PUSH_REMOTE is not set. Closes: #706917

 -- Joey Hess <joeyh@debian.org>  Mon, 06 May 2013 09:49:24 -0400

etckeeper (1.0) unstable; urgency=low

  [ Joey Hess ]
  * Unset GIT_DIR and GIT_WORK_TREE. Closes: #689101
  * PUSH_REMOTE can be set to automatically push to a remote on commit.
    Thanks, L. Alberto Giménez
  * Ignore fake-hwclock.data. Closes: #701491

  [ Jelmer Vernooij ]
  * Auto-detect the VCS setting if there already is a repository in
    /etc.

 -- Joey Hess <joeyh@debian.org>  Sat, 04 May 2013 23:45:25 -0400

etckeeper (0.64) unstable; urgency=low

  * Added support for openSUSE's zypper package manager.
    Thanks, Catalin Iacob
  * Add Brazilian Portuguese debconf translation.
    Closes: #685771 Thanks, Adriano Rafael Gomes

 -- Joey Hess <joeyh@debian.org>  Sat, 25 Aug 2012 11:53:08 -0400

etckeeper (0.63) unstable; urgency=low

  * bzr: Improve detection of unclean repos, to work when there are shelved
    changes.
  * uninit: Now preserves parts of the gitignore and similar files that
    are outside the managed by etckeeper block. Closes: #673996
    Thanks, David De La Harpe Golden (Squared Financial)

 -- Joey Hess <joeyh@debian.org>  Sat, 02 Jun 2012 18:22:37 -0400

etckeeper (0.62) unstable; urgency=low

  * Autocommit git staged files. Closes: #662614

 -- Joey Hess <joeyh@debian.org>  Mon, 05 Mar 2012 10:41:46 -0400

etckeeper (0.61) unstable; urgency=low

  * Fix up botched git-rm conffile removal from 0.58.
    The file could be in any of three states; absent, present, or .dpkg-dist.
    Finish fully removing it. Closes: #655836

 -- Joey Hess <joeyh@debian.org>  Sat, 14 Jan 2012 12:42:50 -0400

etckeeper (0.60) unstable; urgency=low

  * Updated Dutch translation of debconf templates. Closes: #654244
  * Support -h and --help. Closes: #654188
  * Fix typo in bugfix for #651168.
  * Improve yum hook to avoid running if etckeeper was just removed.
    Thanks, Mykola Marzhan

 -- Joey Hess <joeyh@debian.org>  Fri, 06 Jan 2012 19:23:42 -0400

etckeeper (0.59) unstable; urgency=low

  * Add /etc/cups/subscriptions.conf to default ignores, as the content of
    this file does not normally contain configuration and it changes
    frequently. Closes: #651168
  * Shell quoting fix. Thanks, Daniel Hahler

 -- Joey Hess <joeyh@debian.org>  Thu, 22 Dec 2011 11:48:50 -0400

etckeeper (0.58) unstable; urgency=low

  * Changed to store all permissions of files and directories, even those
    with standard permissions of 644 and 755. This is unfortunately necessary
    in order to support etckeeper init on a checkout that was made with a
    nonstandard umask, in which case the files that were expected to be
    644 and 755, won't be. Closes: #649701
    Thanks to Дмитрий Матросов for reporting the bug and developing
    a fixup script (attached to the bug) which could be used if you've
    already encountered this problem.
  * Bugfix for filenames containing single quotes.
  * Use git add -A, which automatically removes deleted files,
    and avoids a separate call to git add -u.
    Thanks to Miklos Vajna, whose patch in 2008 was deferred
    because -A was then too new, and languished in a branch until found today.
  * Optimised metadata storage.
  * cron.daily: Don't stop committing when a stale packagelist.pre-install
    file exists.
    Thanks to gulikoza for noticing this bug.

 -- Joey Hess <joeyh@debian.org>  Fri, 25 Nov 2011 20:03:36 -0400

etckeeper (0.57) unstable; urgency=low

  * Use find -path instead of less portable find -wholename.

 -- Joey Hess <joeyh@debian.org>  Fri, 04 Nov 2011 17:03:46 -0400

etckeeper (0.56) unstable; urgency=low

  * Converted to use dh_python2. Closes: #616800
  * Handle files with % in their names.

 -- Joey Hess <joeyh@debian.org>  Tue, 12 Jul 2011 14:38:09 -0400

etckeeper (0.55) unstable; urgency=low

  * Fix error propigation to yum, which makes AVOID_COMMIT_BEFORE_INSTALL work.
    Closes: https://bugzilla.redhat.com/show_bug.cgi?id=709487
    Thanks, Thomas Moschny
  * Avoid being noisy in post-install after automatic yum updates.
    (Tuomo Soini)
  * Ignore FHS violating prelink.cache and openvpn-status.log.
  * Ignore *.LOCK files, as used by selinux policies.
  * Add AVOID_SPECIAL_FILE_WARNING to config file, and set it in cron
    job to avoid daily noise. (gulikoza)

 -- Joey Hess <joeyh@debian.org>  Sun, 19 Jun 2011 15:21:20 -0400

etckeeper (0.54) unstable; urgency=low

  * Ignore inssev's FHS violating /etc/init.d/.depend.* files.
    Closes: #619407 See #619409
  * Use hg pre-commit hook, rather than its precommit hook,
    as the latter is run after the files staged for commit are
    determined and so .etckeeper cannot be staged as part of the current
    commit. Closes: #621827

 -- Joey Hess <joeyh@debian.org>  Mon, 30 May 2011 18:11:40 -0400

etckeeper (0.53) unstable; urgency=low

  [ Joey Hess ]
  * Install bzr hook lazily, clean up some compatibility code. (Jelmer Vernooij)

  [ Josh Triplett ]
  * Only set environment variables for commit authorship (EMAIL,
    GIT_AUTHOR_NAME, GIT_AUTHOR_EMAIL, GIT_COMMITTER_EMAIL) if they don't
    already exist.

  [ Joey Hess ]
  * Add .pyc and .pyo files to ignore.
  * Add lvm/backup and lvm/cache to ignore. Closes: #462355
  * Avoid warning about special or hard linked files that are ignored
    by hg. Thanks Sjoerd Mullender for patch.
    Closes: https://bugzilla.redhat.com/show_bug.cgi?id=688991

 -- Joey Hess <joeyh@debian.org>  Fri, 18 Mar 2011 15:37:54 -0400

etckeeper (0.52) unstable; urgency=low

  * Rewrote 50git-rm to avoid using git ls-files, and thus avoid encoding
    problems with filenames.

 -- Joey Hess <joeyh@debian.org>  Sun, 06 Feb 2011 00:00:55 -0400

etckeeper (0.51) unstable; urgency=low

  * Updated Vietnamese translation of debconf templates. Closes: #601921
  * Improve rpm version change detection.
  * Move etckeeper out of sbin, to avoid needing to work around broken
    root PATH settings in eg, crontab. Closes: #602438
  * Added Polish translation of debconf templates. Closes: #607563

 -- Joey Hess <joeyh@debian.org>  Sat, 25 Dec 2010 14:39:57 -0400

etckeeper (0.50) unstable; urgency=low

  * Add Danish translation of debconf templates. Closes: #597768
  * Ignore /etc/.initctl. Closes: #598121
  * Do not warn about special files or hardlinks if they are ignored by
    git. Fixes #549354 for git, but not for other VCSs.
  * Set GIT_COMMITTER_EMAIL to root@$hostname to avoid git prompting
    the user to configure it in .gitconfig. Closes: #599749
  * Deal with strange systems that include the domain name in the hostname,
    by stripping it. Closes: #600026

 -- Joey Hess <joeyh@debian.org>  Wed, 20 Oct 2010 14:06:21 -0400

etckeeper (0.49) unstable; urgency=low

  * Ensure that PATH contains the directory containing etckeeper, so
    that hook scripts that re-exec etckeeper are guaranteed to find it.
  * Ignore -m switch to etckeeper commit, in case someone tries to use
    it with that option common to several VCS. Closes: #592050
  * Remove HOME setting in etckeeper. sudo now defaults to setting HOME
    itself as of version 1.7.4p4, so it is not necessary for etckeeper
    to work around its behavior anymore. (sudo also allows disabling that
    for those who enjoy using guns around feet.) Closes: #583899
  * Fix file quoting problem in processing .etckeeper file in init.

 -- Joey Hess <joeyh@debian.org>  Mon, 13 Sep 2010 13:10:43 -0400

etckeeper (0.48) unstable; urgency=low

  * Fix backwards test for HGUSER. (Mike Rich)
    Closes: #589242
  * 'etckeeper vcs' can be used to run arbitrary VCS subcommands
    in the etckeeper environment. (Thanks, Stefan Tomanek)

 -- Joey Hess <joeyh@debian.org>  Fri, 16 Jul 2010 15:14:05 -0400

etckeeper (0.47) unstable; urgency=low

  * Set HOME=~root so that VCS like bzr do not drop root-owned files in
    user home directory when sudo etckeeper is run. Closes: #583581
  * hg: Set HGUSER (if not already set) to avoid warning message when
    committing. Closes: #533298
  * Both git and bzr default to showing the author of a commit,
    and not the committer. So, set the author to the user running sudo
    for both. The committer will then be root.

 -- Joey Hess <joeyh@debian.org>  Sun, 30 May 2010 16:50:09 -0400

etckeeper (0.46) unstable; urgency=low

  * Support etckeeper commit --stdin
  * Fix bug where after a large upgrade, etckeeper's automatic commit message
    was so long it exceeded command line length limits. Closes: #581678

 -- Joey Hess <joeyh@debian.org>  Sun, 16 May 2010 19:10:57 -0400

etckeeper (0.45) unstable; urgency=low

  * Revert darcs to using --logfile again, necessary for multiline commit
    messages. Closes: #577915
  * Fix logic error in darcs user code. Closes: #577918

 -- Joey Hess <joeyh@debian.org>  Thu, 15 Apr 2010 11:50:22 -0400

etckeeper (0.44) unstable; urgency=low

  * Add example to README of how to automatically push changes to a backup
    repository.
  * Add fuse lock file to ignore list.
  * Changed darcs to specify --author instead of noting the committing
    user inside the commit log.
  * Add -a to DARCS_COMMIT_OPTIONS so commits are noninteractive by default,
    but users who want darcs prompting can disable it.
  * Use darcs record -m to specify commit message, instead of using a logfile.
  * Closes: #519228
  * Update depends for git-core to git transition. Closes: #577732
  * Avoid using hostname -f, since on Solaris that sets the hostname to -f.
    Yay, Unix portability! (Instead, use dnsdomainname if available, and
    otherwise, fall back to the unqualified hostname.)
  * Other portability fixes for non-GNU tools and OS X. Thanks, Neil Mayhew.

 -- Joey Hess <joeyh@debian.org>  Wed, 14 Apr 2010 15:43:14 -0400

etckeeper (0.43) unstable; urgency=low

  * Fix cleanup of /var/cache/etckeeper/packagelist.pre-install after
    an upgrade where no conffiles are changed.
  * Prevent cron job autocommit from happening if pre-install file
    is present, to avoid committing state in the middle of an apt run.
    Closes: #567538
  * Add /etc/webmin/webmin/oscache to ignore list. Closes: #567255
  * Check owner of tty to determine who has su'd to root when committing,
    based on a patch by Jakov Sosic.
  * Add apparmor.d/cache/ to default ignores.
  * Record real committer username in the darcs log, so that the man page
    can say that for every VCS the username is recorded.

 -- Joey Hess <joeyh@debian.org>  Thu, 18 Feb 2010 14:01:45 -0500

etckeeper (0.42) unstable; urgency=low

  * Deal with removal of the cache directory. Closes: #559418
  * Add ucf backups to ignore list. (See #462355)
  * Add webmin fsdump status files to ignore list. Closes: #567000
  * Add *.old to ignore list (See #462355)
  * Add *.elc to ignore list (See #491401)
  * Add ntp.conf.dhcp and X11/xdm/authdir/authfiles/* to ignore list.
    Closes: #491401
  * Fix handling of "#*#" ignores for git and hg.
  * Add runit and daemontools supervise files to ignore list.
    Closes: #529253

 -- Joey Hess <joeyh@debian.org>  Tue, 26 Jan 2010 16:20:38 -0500

etckeeper (0.41) unstable; urgency=low

  * Change etckeeper uninit to not remove .gitignore (etc) file
    if it lacks the "managed by etckeeper" comment. Closes: #545137
  * Fix hgrc setup code to not warn if the hgrc already contains
    a call to etckeeper. (Thanks, Jakov Sosic)
  * Updated Czech debconf translation from Miroslav Kure. Closes: #546411

 -- Joey Hess <joeyh@debian.org>  Sat, 26 Sep 2009 15:58:15 -0400

etckeeper (0.40) unstable; urgency=low

  * Add Spanish debconf translation. Closes: #539589
  * Updated Italian debconf translation. Closes: #540516
  * Avoid infinite loop when displaying message about failure
    to commit changes in /etc. Closes: #540596

 -- Joey Hess <joeyh@debian.org>  Sat, 08 Aug 2009 21:21:27 -0400

etckeeper (0.39) unstable; urgency=low

  * Document ETCKEEPER_CONF_DIR in man page.
  * Typo. Closes: #536799
  * bzr: Set author to root when committing via sudo. Committer
    will be the sudo user, as it is in git.

 -- Joey Hess <joeyh@debian.org>  Fri, 31 Jul 2009 13:47:09 -0400

etckeeper (0.38) unstable; urgency=low

  * Use hostname if hostname -f fails. Closes: #533295
  * Automatically commit on initial install, so users can
    begin relying on etckeeper right away. Closes: #533290

 -- Joey Hess <joeyh@debian.org>  Wed, 08 Jul 2009 14:40:58 -0400

etckeeper (0.37) unstable; urgency=low

  * Make postinst check for the configured VCS before trying to run
    etckeeper init. Closes: #530497
  * Update French debconf translation. Closes: #530795
  * Fix typo in cruft file. Closes: #530819
  * Update Portuguese debconf translation. Closes: #528109
  * Update German debconf translation. Closes: #532346

 -- Joey Hess <joeyh@debian.org>  Mon, 08 Jun 2009 13:24:13 -0400

etckeeper (0.36) unstable; urgency=low

  * Add cruft ignore file. Closes: #522513
  * Update Japanese debconf translation. Closes: #527921
  * Update Swedish debconf translation. Closes: #528575
  * Update Russian debconf translation. Closes: #528798

 -- Joey Hess <joeyh@debian.org>  Sat, 16 May 2009 18:22:49 -0400

etckeeper (0.35) unstable; urgency=low

  * Make etckeeper uninit -f disable the prompt.
  * Uninit on purge, guarded by a debconf prompt. Closes: #527218

 -- Joey Hess <joeyh@debian.org>  Wed, 06 May 2009 14:52:30 -0400

etckeeper (0.34) unstable; urgency=low

  * Add support for mktemp if tempfile is not available.
  * Fix uninit prompt to accept 'y' as well as 'yes'. Closes: #517911
  * README: Typo. Closes: #517914

 -- Joey Hess <joeyh@debian.org>  Mon, 02 Mar 2009 17:01:09 -0500

etckeeper (0.33) unstable; urgency=low

  * Add support for yum. Thanks, Jimmy Tang.

 -- Joey Hess <joeyh@debian.org>  Wed, 25 Feb 2009 14:38:12 -0500

etckeeper (0.32) unstable; urgency=low

  * Add uninit subcommand, which cleans up all etckeeper and VCS droppings
    in /etc. This is useful if you want to switch to a different VCS and
    don't have any history to preserve. (Preserving history and converting
    is of course possible, but significantly harder.)
  * Run etckeeper init on initial install. Closes: #505772
    (The idea being that if someone doesn't want to use git, they can
    immediatly uninit to easily reverse this.)
  * Document how to change the VCS used by etckeeper, without preserving
    any history. Preserving history left as an exersise for the reader.
    Closes: #515237
  * Implement list-installed for rpm.
  * Added a spec file contributed by Jimmy Tang.

 -- Joey Hess <joeyh@debian.org>  Tue, 24 Feb 2009 23:01:55 -0500

etckeeper (0.31) unstable; urgency=low

  * Avoid relying on USER being set, won't be for cron job.
    Closes: #515602
  * Add .sw? to ignores. vim uses that if editing an
    unspecified file name. Closes: #515628

 -- Joey Hess <joeyh@debian.org>  Mon, 16 Feb 2009 15:40:42 -0500

etckeeper (0.30) unstable; urgency=low

  * Add vim .*.sw? files to default ignores.
  * Also add emacs #*# autosave files to default ignores.
  * And DEADJOE files, for good measure.
  * etckeeper update-ignore will automatically update the VCS ignore
    file, only touching the part inside a "# managed by etckeeper"
    comment block. (You may want to add such a comment block to your existing
    .gitignore, or delete the file and regenerate it.)
  * Run etckeeper update-ignore on upgrade.
  * Fix handling of -d in recursive calls to etckeeper

 -- Joey Hess <joeyh@debian.org>  Sat, 14 Feb 2009 01:21:22 -0500

etckeeper (0.29) unstable; urgency=low

  * Add a daily cron job to autocommit changes to /etc. Closes: #515100
    The cron job is enabled by default but can be disabled
    via etckeeper.conf.
    (Thanks to Thierry Carrez)
  * Fix executable bits on two darcs support scripts.

 -- Joey Hess <joeyh@debian.org>  Fri, 13 Feb 2009 13:43:02 -0500

etckeeper (0.28) unstable; urgency=low

  * Support darcs. Thanks to Gian Piero Carrubba. Closes: #510032

 -- Joey Hess <joeyh@debian.org>  Thu, 12 Feb 2009 17:13:23 -0500

etckeeper (0.27) unstable; urgency=low

  * Use SUDO_USER as the committer if set. Closes: #498739
    (Thierry Carrez)
  * bzr: Avoid use of etckeeper pre-commit on Trees not on the
    filesystem. (Jelmer Vernooij)

 -- Joey Hess <joeyh@debian.org>  Sun, 01 Feb 2009 17:20:11 -0500

etckeeper (0.26) unstable; urgency=low

  * Add Japanese debconf translation. Closes: #512869
  * Prevent git from removing a directory when the last file in it
    has been removed, but the directory is left existing and empty,
    by touching a flag file before calling git rm. Closes: 513006

 -- Joey Hess <joeyh@debian.org>  Sun, 25 Jan 2009 13:55:56 -0500

etckeeper (0.25) unstable; urgency=low

  * Fix filter_unknown calls. Closes: 509888

 -- Joey Hess <joeyh@debian.org>  Wed, 31 Dec 2008 13:01:31 -0500

etckeeper (0.24) unstable; urgency=low

  * Make .etckeeper test that files actually exist
    before acting on them. Closes: #509888

 -- Joey Hess <joeyh@debian.org>  Mon, 29 Dec 2008 15:37:25 -0500

etckeeper (0.23) unstable; urgency=low

  * Fix hook scripts to use new etckeeper path. Closes: #509742

 -- Joey Hess <joeyh@debian.org>  Thu, 25 Dec 2008 16:25:25 -0500

etckeeper (0.22) unstable; urgency=low

  * Move etckeeper to sbin, and man page to section 8, since only an admin
    can really use etckeeper. Closes: #509152
  * Mention README file from man page.
  * Build using python-central. For some reason bzr does not pick up on
    plugins built using python-support.

 -- Joey Hess <joeyh@debian.org>  Tue, 23 Dec 2008 18:51:14 -0500

etckeeper (0.21) unstable; urgency=low

  * Swedish debconf translation from Martin Ågren. Closes: #492063
  * Make etckeeper init -d set up commit hooks that call etckeeper -d.
    (Note that if you've relied on it setting up such commit hooks for a repo
    outside of /etc already, it created broken ones that need to be fixed to use
    -d.)
    Thanks, Wolfgang Karall.

 -- Joey Hess <joeyh@debian.org>  Thu, 11 Sep 2008 16:41:16 -0400

etckeeper (0.20) unstable; urgency=low

  [ Jelmer Vernooij ]
  * Use new Bazaar API.
  * Pass --quiet to bzr add to avoid new files from being printed twice.
  * Don't consider warnings from bzr plugins when checking if tree was
    modified.

 -- Joey Hess <joeyh@debian.org>  Mon, 07 Jul 2008 12:04:30 -0400

etckeeper (0.19) unstable; urgency=low

  * Patch from Miklos Vajna to fix one more git- command that crept in.

 -- Joey Hess <joeyh@debian.org>  Sat, 05 Jul 2008 08:34:22 -0400

etckeeper (0.18) unstable; urgency=low

  * Allow AVOID_COMMIT_BEFORE_INSTALL to be set to zero to disable.
  * Don't allow LC_COLLATE to reorder the .etckeeper file. Closes: #489057

 -- Joey Hess <joeyh@debian.org>  Thu, 03 Jul 2008 00:47:40 -0400

etckeeper (0.17) unstable; urgency=low

  * Fix backwards test for AVOID_COMMIT_BEFORE_INSTALL. Closes: #486922

 -- Joey Hess <joeyh@debian.org>  Wed, 18 Jun 2008 20:36:52 -0400

etckeeper (0.16) unstable; urgency=low

  [ Joey Hess]
  * Add a AVOID_COMMIT_BEFORE_INSTALL option in the config file to make it
    easy to configure etckeeper to abort an installation if there are
    uncommitted changes in /etc. Closes: #478754

 -- Joey Hess <joeyh@debian.org>  Mon, 16 Jun 2008 19:21:16 -0400

etckeeper (0.15) unstable; urgency=low

  [ Daniel Hahler ]
  * bzr: Set nickname for tree in init.d/40vcs-init.
  * Add script to add new files during "commit" for bzr (commit.d/30bzr-add).
    Closes: #477321
  * Fix handling of files with spaces, by setting IFS to "newline" in
    commit.d/40git-rm.

  [ Jelmer Vernooij ]
  * Support for the new bzr pre-commit hook. This requires bzr version 1.4.
    Closes: #473069
  * Remove pointless commit.d/40bzr-rm script.

  [ Joey Hess ]
  * debhelper v7; rules file minimisation

 -- Joey Hess <joeyh@debian.org>  Sat, 03 May 2008 15:08:12 -0400

etckeeper (0.14.2) unstable; urgency=low

  * Handle nonzero exit status when building package list diff.

 -- Joey Hess <joeyh@debian.org>  Thu, 17 Apr 2008 13:00:29 -0400

etckeeper (0.14.1) unstable; urgency=low

  * Fix typo in bzr-precommit script. Closes: #473069
    This is an interim fix -- full bzr precommit support has been implemented,
    but the bzr that supports it is not yet released.
  * Fix handling of files with spaces, by setting IFS to NL.

 -- Joey Hess <joeyh@debian.org>  Wed, 16 Apr 2008 19:16:52 -0400

etckeeper (0.14) unstable; urgency=low

  * When deleting the .metadata, only $VCS rm it if using git. hg write
    locks the repo when the pre-commit hook is running, so it would lock.

 -- Joey Hess <joeyh@debian.org>  Sat, 29 Mar 2008 13:43:20 -0400

etckeeper (0.13) unstable; urgency=low

  * Drop the debconf prompt before committing in pre-install.
    Closes: #470577, #462161, #471157, #462161
  * Stop using metastore, instead add shell commands to .etckeeper
    to handle permissions. Patch by Scott Bronson. The main advantages
    of this approach are:
    - .etckeeper uses less disk space than .metadata.
    - Git diff includes changes to the commands in the file, which is more
      transparent than a change to the binary .metadata file, and does not
      produce conflicts during merging.
    - Revision control directories such as .hg are filtered out.
      Closes: #471371
    Note that repositories still including .metadata files will be
    automatically transitioned, and the file removed. Also, etckeeper init
    on a historical version of a repository that still contains .metadata
    will use it, if metastore is installed.
  * Keep track of what packages change state during an installation,
    and include that in the commit message at the end. Closes: #459384

 -- Joey Hess <joeyh@debian.org>  Tue, 25 Mar 2008 20:53:23 -0400

etckeeper (0.12) unstable; urgency=low

  * Use git ls-files instead of git status. Depend on new enough git for this.
  * Add support for bzr, thanks to Mark A. Hershberger. Closes: #470515
    (Note that bzr does not support etckeeper's pre-commit hook.)

 -- Joey Hess <joeyh@debian.org>  Tue, 11 Mar 2008 15:06:29 -0400

etckeeper (0.11) unstable; urgency=low

  * Add lvm cache dir to default ignores. (#462355)
  * Updated German translation. Closes: #463153
  * Some initial rpm support. Patch from Евгений Терешков.
  * Add apt hooks for rpm based systems.
  * Add nologin to default ignores.

 -- Joey Hess <joeyh@debian.org>  Mon, 11 Feb 2008 00:43:19 -0500

etckeeper (0.10) unstable; urgency=low

  * Convert the directory parameter of etckeeper into "-d directory".
  * Pass other patameters on from etckeeper to the .d scripts.
  * Stop using run-parts for various reasons.
  * Split out a commit.d that contains committing code that's used by
    both the pre-install.d and post-install.d scripts.
  * Split out an unclean.d that tests if the WC contains uncommitted
    changes.
  * Don't commit in post-install.d if there are no uncommitted changes.
  * German debconf translation. Closes: #460940, #458751
  * Use git status instead of git-status (missed this one before).

 -- Joey Hess <joeyh@debian.org>  Tue, 15 Jan 2008 14:35:29 -0500

etckeeper (0.9) unstable; urgency=low

  * Separate debconf use from the main flow of the script so the commit
    stage can use editors etc. Closes: #459547
  * Remove the hint about setting -e to get interactive commits, since
    I don't want to encourage users to do that. (For one thing, it's unlikely
    to work if a graphical package manager is used..)

 -- Joey Hess <joeyh@debian.org>  Mon, 07 Jan 2008 13:46:22 -0500

etckeeper (0.8) unstable; urgency=low

  * Typo fixes from Miklos Vajna
  * Add backwards compatability code to handle post-apt action. Closes: #459441

 -- Joey Hess <joeyh@debian.org>  Sun, 06 Jan 2008 12:54:51 -0500

etckeeper (0.7) unstable; urgency=low

  [ Joey Hess ]
  * Added configuration options for highlevel and lowlevel package managers
    in etckeeper.conf.
  * Only install apt hooks if apt is used.
  * Only add backup conffile exclusion to gitignore if dpkg is used.
  * Rename pre/post-apt.d to pre/post-install.d to allow the same directories
    to be used for other package managers.
  * Use the name of the highlevel package manager in commit messages.
  * Add gnarly conffile renaming code.
  * Support mercurial as an alternative to git. Original patch by Mathieu
    Clabaut, significantly changed.

  [ Miklos Vajna ]
  * Add support for frugalware's pacman-g2 package manager.
  * Stop using git-foo commands.

  [ Christian Perrier ]
  * Debconf templates and debian/control reviewed by the debian-l10n-english
    team as part of the Smith review project. Closes: #454774
  * [Debconf translation updates]
  * Galician. Closes: #455790
  * Finnish. Closes: #455967
  * Italian. Closes: #456509
  * Portuguese. Closes: #456543
  * French. Closes: #456920
  * Vietnamese. Closes: #457307
  * Czech. Closes: #457678
  * Dutch. Closes: #457806
  * Basque. Closes: #457830
  * Russian. Closes: #457871

  [ Joey Hess ]
  * Commit removed files in the pre-install hook to git, as was already done
    for hg. Avoided changing the debconf template so bubulle doesn't murder
    me; the current wording is just vague enough to still work with the
    current behavior.

 -- Joey Hess <joeyh@debian.org>  Fri, 04 Jan 2008 18:46:49 -0500

etckeeper (0.6) unstable; urgency=low

  * Depend on a fairly recent git-core. Closes: #453063

 -- Joey Hess <joeyh@debian.org>  Sun, 02 Dec 2007 15:46:12 -0500

etckeeper (0.5) unstable; urgency=low

  * Typo. Closes: #452926

 -- Joey Hess <joeyh@debian.org>  Mon, 26 Nov 2007 03:16:14 -0500

etckeeper (0.4) unstable; urgency=low

  * Portuguese translation from Américo Monteiro. Closes: #451798
  * Pass --quiet to git-rm calls.

 -- Joey Hess <joeyh@debian.org>  Tue, 20 Nov 2007 01:04:32 -0500

etckeeper (0.3) unstable; urgency=low

  * Patch from Remi Vanicat adding an etckeeper.conf file and
    a GIT_COMMIT_OPTIONS configuration setting. Closes: #451167
  * Add network/run and adjtime to default gitignore. Closes: #451347
  * Patch from Rémi Vanicat adding bash completion. Closes: #451302
  * Remove redundant dependency on debconf. Closes: #451378

 -- Joey Hess <joeyh@debian.org>  Thu, 15 Nov 2007 12:21:02 -0500

etckeeper (0.2) unstable; urgency=low

  * Add .pwd.lock to default ignores, this file is created by programs
    that call getspent().
  * Add tests for /etc/.git not yet existing and avoid doing bad things.
    Closes: #451185
  * If /etc/.git doesn't exist, display a suggestion to run etckeeper-init.

 -- Joey Hess <joeyh@debian.org>  Tue, 13 Nov 2007 19:09:11 -0500

etckeeper (0.1) unstable; urgency=low

  * First release.

 -- Joey Hess <joeyh@debian.org>  Sun, 11 Nov 2007 01:11:21 -0500
